Scilab Function

fprintfMat - print a matrix in a file.

### Calling Sequence

  `fprintfMat(fil,M [,format,text])`

### Parameters

- `fil` : a string, the pathname of the file to be scanned.
- `M` : A matrix of real numbers.
- `format` : a character string, a C like format. This is an optional parameter, the default value is `"%f"`
- `text` : a string matrix giving non numerical comments stored at the beginning of the file.

### Description

The `fprintfMat` function prints a matrix in a formated file. Each row of the matrix give a line in the file. If `text` is given then the elements of `text` are inserted columnwise at the beginning of the file one element per line.

### Examples

    n=50;
    a=rand(n,n,'u');
    fprintfMat(TMPDIR+'/Mat',a,'%5.2f');
    a1=fscanfMat(TMPDIR+'/Mat');

### See Also

`mclose` `meof` `mfprintf` `mfscanf` `fscanfMat` `mget` `mgetstr` `mopen` `mprintf` `mput` `mputstr` `mscanf` `mseek` `mtell`